Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000754Frama-CKernel > Makefilepublic2011-03-16 10:162014-02-12 16:59
ReporterAnne 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFrama-C Nitrogen-20111001Fixed in VersionFrama-C Nitrogen-20111001 
Summary0000754: Dynamic plugin doc
DescriptionThe command : make xxx_DOC (where xxx is a dynamic plugin name) fails with the message :
Pas de règle pour fabriquer la cible « /kernel-doc.ocamldoc »

This is because $(DOC_DIR) is not defined, which seems normal (I far as I know, the compilation of dynamic plugin refers to the installed files, not to the source repository).

The easiest fix would probably be that a plugin internal documentation doesn't depend on the kernel documentation...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001602)
Anne (reporter)
2011-03-16 13:39

Another (maybe easier) way of fixing the problem would be to put the file [doc/code/kernel-doc.ocamldoc] (and probably [doc/code/style.css]) in the distribution (in [share/frama-c/] for instance). But there still would be a problem because of the frama-c specific ocamldoc generator...

I don't know if it is related, but I have seen that there is a file [Makefile.dynamic_config.external] which I guess is for external plugins, but I didn't understand how it is used (and even if it is the case...)
(0001603)
Anne (reporter)
2011-03-16 17:00
edited on: 2011-03-16 17:01

I have done a little workaround in [genassigns] plugin Makefile: it is quiet ugly (it has to define FRAMAC_HOME), but might be useful to wait for a better solution...

(0001606)
signoles (manager)
2011-03-17 10:38

If you are satisfied with your local workaround, it will be probably done at the same time than task #742.
(0001607)
Anne (reporter)
2011-03-17 10:46

Ok for me. Thanks.
(0001629)
signoles (manager)
2011-03-24 15:06

Virgile is looking forward the issue.
(0001639)
Anne (reporter)
2011-03-25 14:20

[genassigns]$ make doc
Frama-C kernel was not installed with code documentation support. Cannot compile API documentation.
make: *** [plugin-doc/Genassigns] Erreur 1

I didn't find any configure option to have the code documentation support...
What do I have to do ?
(0001641)
virgile (developer)
2011-03-25 16:01

You have to generate and install kernel doc:
make doc install-doc-code
in Frama-C source dir
Next commit will document that.
(0004820)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-03-16 10:16 Anne New Issue
2011-03-16 10:16 Anne Status new => assigned
2011-03-16 10:16 Anne Assigned To => signoles
2011-03-16 12:00 signoles Status assigned => acknowledged
2011-03-16 13:39 Anne Note Added: 0001602
2011-03-16 17:00 Anne Note Added: 0001603
2011-03-16 17:01 Anne Note Edited: 0001603
2011-03-17 10:37 signoles Relationship added related to 0000742
2011-03-17 10:38 signoles Note Added: 0001606
2011-03-17 10:46 Anne Note Added: 0001607
2011-03-24 15:05 signoles Target Version => Frama-C Nitrogen-20110901
2011-03-24 15:06 signoles Status acknowledged => assigned
2011-03-24 15:06 signoles Assigned To signoles => virgile
2011-03-24 15:06 signoles Note Added: 0001629
2011-03-24 15:08 virgile Status assigned => acknowledged
2011-03-25 13:49 svn Checkin
2011-03-25 13:49 svn Status acknowledged => resolved
2011-03-25 13:49 svn Resolution open => fixed
2011-03-25 14:20 Anne Note Added: 0001639
2011-03-25 14:20 Anne Status resolved => feedback
2011-03-25 14:20 Anne Resolution fixed => reopened
2011-03-25 16:01 virgile Note Added: 0001641
2011-03-25 16:02 svn Checkin
2011-03-25 16:02 svn Status feedback => resolved
2011-03-25 16:02 svn Resolution reopened => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004820
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker